## Metadatable concern for models which have metadata
# This concern will include some methods to handle @metadata attr of application models
module Metadatable
  extend ActiveSupport::Concern

  included do
    serialize :metadata, ArraySerializer
  end

  def get_metadata_value_of(key)
    get_metadata_values_of(key).first
  end

  def get_metadata_values_of(key)
    return [] if metadata.blank?
    metadata[key].blank? ? [] : metadata[key]
  end
end
