module Reviewable
  extend ActiveSupport::Concern

  included do
    has_many :reviews, as: :reviewable, dependent: :destroy
  end

  def reviewed?(user)
    !reviews.where(user: user).blank?
  end

  def review_ratings_average
    array = reviews.map(&:rating_average)
    return 0.0 if array.size.zero?
    array.inject(0.0) { |acc, elem| acc + elem }.to_f / array.size.to_f
  end
end
