module Trackable
  extend ActiveSupport::Concern
  include PublicActivity::Model
  include ActivitiesFilterService

  included do
    tracked owner: proc { |controller, model| model.try(:user) || model.try(:owner) || controller.try(:current_user) }
    tracked recipient: proc { |_controller, model| model.try(:recipient) || model }
    tracked privacy: proc { |_controller, model| model.try(:privacy) || "public" }

  end
end
