class ActivityPolicy < ApplicationPolicy
  class Scope < Scope
    include ActivitiesFilterService
    attr_reader :user, :scope

    def initialize(user, scope)
      @user  = user
      @scope = scope
    end

    def resolve
      if user.is_admin?
        scope.includes(:owner,:recipient).order('created_at DESC').all
      else
        scope.includes(:owner,:recipient).where("privacy = 'public'").where(key: activities_filter).order('created_at DESC').all
      end
    end

  end

  def index?
    true
  end

  ## only user followers can see your activities
  def user_activities?
    record if user.following? record
  end
end
