class UserPolicy < ApplicationPolicy
  include FollowablePolicy
  include PublisherPolicy

  class Scope < PublisherPolicy::Scope; end

	def update?
    record if same_user? || user.is_admin?
	end

  def create?
    user.is_admin?
  end

  def show?
    record if user_exists?
  end

  def own_reviews?
    record if same_user? || user.is_admin?
  end

  def received_reviews?
    record if same_user? || user.is_admin?
  end

  def same_user?
    record == user
  end
end
