class CollectionItemSerializer < ActiveModel::Serializer
  cache key: 'collection_item', expires_in: 24.hours
  def collectionable
    serializer = object.collectionable_type == "LearningObject" ?  ::LearningObjectSerializer : ::CollectionMinSerializer
    serializer.new(object.collectionable, {scope: current_user, scope_name: :current_user}).serializable_hash
  end
  belongs_to :collectionable, polymorphic: true
  attributes :id, :position, :collectionable, :collectionable_type
end
