class UserSerializer < ActiveModel::Serializer
  cache key: 'user', expires_in: 4.hours, except: [ :complained, :followed ]

  def complained
    object.complained? current_user
  end

  def followed
    object.followed? current_user
  end

  attributes :id, :email, :provider, :name, :description, :education, :score, :cover, :role_ids, :institution_ids, :avatar, :likes_count, :followed, :complained, :follows_count, :learning_objects_count, :collections_count, :created_at, :updated_at
  has_many :subjects
end
