class CreateBookmarks < ActiveRecord::Migration[4.2]
  def change
    create_table :bookmarks do |t|
      t.references :user, index: true
      t.references :bookmarkable, polymorphic: true, index: true

      t.timestamps null: false
    end
    add_foreign_key :bookmarks, :users
    add_column :users, :bookmarks_count, :integer, default: 0
    add_index :bookmarks, [:user_id, :bookmarkable_id, :bookmarkable_type], unique: true, name: 'user_and_bookmarkable'
  end
end
