class CreateSubjectRelations < ActiveRecord::Migration[5.0]
  def change
    create_table :subject_relations do |t|
      t.references :subject, foreign_key: true, index: true
      t.references :subjectable, polymorphic: true, index: true
      t.timestamps null: false
    end
    add_index :subject_relations, [:subject_id, :subjectable_id, :subjectable_type], unique: true, name: 'subject_and_subjectable'
  end
end
