require 'fileutils'

  namespace :attachment_maintaining_service do

    desc 'Removing attachments using random politic'
    task :remove_attachments, [:limit] => :environment do |t, args|
      args.with_defaults(limit: 10.gigabyte)
      attachments_dir = attachment_dir + "/*"

      while dir_size(attachment_dir) > args.limit.to_i do
        # TODO now the politic is random, verify if politics like LRU or NRU improve the efficiency
        FileUtils.rm_r Dir[attachments_dir].sample
      end
    end

    private

    def dir_size(dir)
      `du -sb #{dir} | cut -f 1`.to_i
    end

    def attachment_dir
      Rails.root.join('public','attachments').to_s
    end

  end
