require 'acceptance_helpers'
require 'shared/contexts'

resource 'Follows' do

  before { 12.times { create(:user) } }

  let(:users) { User.all }

  post '/v1/:type/:id/follow' do
    include_context "authenticate_user"

    parameter :type, 'Type of object (users or collections)'
    parameter :id, 'The id of the object to follow'

    let(:type) { 'users' }
    let(:id) { users.first.id }

    example_request 'Following' do
      expect(status).to eq(201)
    end
  end

  delete '/v1/:type/:id/follow' do
    include_context "authenticate_user"

    parameter :type, 'Type of object (users or collections)'
    parameter :id, 'The id of the object to follow'

    let(:type) { 'users' }
    let(:id) { users.first.id }

    before do
      create(:follow, user: @user, followable: users.first)
    end

    example_request 'Unfollowing' do
      expect(status).to eq(200)
    end
  end

end
