FactoryGirl.define do
  factory :collection do |f|
    owner
    f.name { Faker::University.name }
    f.description { Faker::Lorem.sentence }
    f.privacy 'public'

    transient do
      tags_count 5
      subjects_count 2
      educational_stages_count 1
      collection_items_count 3
    end

    after(:create) do |collection, evaluator|
      create_list(:tagging, evaluator.tags_count, taggable: collection)
      create_list(:collection_item, evaluator.collection_items_count, collection: collection)
      [Subject, EducationalStage].each do |model|
        table = model.to_s.tableize
        collection.try(table.to_sym) << model.all.sample(evaluator.try("#{table}_count".to_sym))
      end
    end
  end
end
