require 'rails_helper'
require 'rspec_api_documentation'
require 'rspec_api_documentation/dsl'
require 'spec_helper'

RSpec.shared_context "authenticate_user", shared_context: :metadata do
  let(:auth_client) { @auth_headers['client'] }
  let(:uid) { @auth_headers['uid'] }
  let(:access_token) { @auth_headers['access-token'] }
  let(:role) { Role.all }

  before do
    @user = create(:user, roles: [role.find_by(name: 'teacher')])
    @auth_headers = @user.create_new_auth_token
  end

end

RSpec.shared_context "authenticate_user_admin", shared_context: :metadata do
  let(:auth_client) { @auth_headers['client'] }
  let(:uid) { @auth_headers['uid'] }
  let(:access_token) { @auth_headers['access-token'] }
  let(:role) { Role.all }

  before do
    @user = create(:user, roles: [role.find_by(name: 'admin')])
    @auth_headers = @user.create_new_auth_token
  end

end
