RSpec.shared_examples "a list" do |url, object, klass|
  get url do
    parameter :limit, 'Limit of #{object}'
    parameter :offset, 'Offset of #{object}'

    let(:list) { object.all }
    let(:limit) { 12 }
    let(:offset) { 0 }

    example_request 'Get a list of ' + klass do
      expect(JSON.parse(response_body).map { |o| o['id'] }.sort).to eq(object.limit(limit).offset(offset).pluck(:id).sort)
      expect(status).to eq(200)
    end
  end
end
