require 'test_helper'

class FeedbackServiceTest < ActiveSupport::TestCase
  PORTALMEC_PROJECT_ID = 633
  mock = MiniTest::Mock.new
  report_service = GitlabBugreporterService.new(mock)
  feedback = FeedbackService.new(report_service)

  test 'initializing bug reporter service' do
    assert_equal feedback.get_report_service, report_service
  end

  test 'reporting bug' do
    bug = Bug.new
    bug.title = 'Título'
    bug.description = 'Descrição do bug'

    mock.expect(:create_issue,  nil, [PORTALMEC_PROJECT_ID, bug.title, description: bug.description])
    assert feedback.report_bug(bug)
  end
end
